diff -ruN '--exclude=*~' '--exclude=cpl' '--exclude=session' '--exclude=cache' '--exclude=log' siremis-3.2.0.orig/siremis/modules/ser/cms/form/ChartsStatsAccForm.php siremis-3.2.0/siremis/modules/ser/cms/form/ChartsStatsAccForm.php
--- siremis-3.2.0.orig/siremis/modules/ser/cms/form/ChartsStatsAccForm.php	2011-12-14 19:52:59.000000000 +0100
+++ siremis-3.2.0/siremis/modules/ser/cms/form/ChartsStatsAccForm.php	2012-04-16 15:44:10.000000000 +0200
@@ -14,7 +14,7 @@
 
 		$fetchInterval = $cfg_stats_acc_fetch_interval;
 
-		$sql = "SELECT method, sip_code, time, UNIX_TIMESTAMP(time) as tstamp FROM acc WHERE DATE_SUB(NOW(), INTERVAL " .$fetchInterval. " HOUR) <= time";
+		$sql = "SELECT method, sip_code, time, EXTRACT(EPOCH FROM time) as tstamp FROM acc WHERE (NOW() - INTERVAL '" .$fetchInterval. " HOUR') <= time";
 		$db = $g_BizSystem->GetDBConnection("Serdb");
 		$resultSet = $db->query($sql);
 		if ($resultSet === false) {
diff -ruN '--exclude=*~' '--exclude=cpl' '--exclude=session' '--exclude=cache' '--exclude=log' siremis-3.2.0.orig/siremis/modules/ser/cms/form/SummaryStatsAccForm.php siremis-3.2.0/siremis/modules/ser/cms/form/SummaryStatsAccForm.php
--- siremis-3.2.0.orig/siremis/modules/ser/cms/form/SummaryStatsAccForm.php	2011-12-14 19:52:59.000000000 +0100
+++ siremis-3.2.0/siremis/modules/ser/cms/form/SummaryStatsAccForm.php	2012-04-16 15:37:40.000000000 +0200
@@ -40,14 +40,14 @@
 			/* --- stats per sip requests */
 			if($fetchInterval[1]==0) {
 				$sql = "SELECT method, sip_code FROM acc WHERE"
-					. "	(method='INVITE' OR method='BYE') AND (DATE_SUB(NOW(), INTERVAL "
-					.$fetchInterval[0]. " HOUR) <= time)";
+					. "	(method='INVITE' OR method='BYE') AND ((NOW() - INTERVAL '"
+					.$fetchInterval[0]. " HOUR') <= time)";
 				//echo $sql;
 			} else {
 				$sql = "SELECT method, sip_code FROM acc WHERE"
-					. "	(method='INVITE' OR method='BYE') AND (DATE_SUB(NOW(), INTERVAL "
-					.$fetchInterval[0]. " HOUR) <= time AND DATE_SUB(NOW(), INTERVAL "
-					.$fetchInterval[1]. " HOUR) > time)";
+					. "	(method='INVITE' OR method='BYE') AND ((NOW() - INTERVAL '"
+					.$fetchInterval[0]. " HOUR') <= time AND (NOW() - INTERVAL '"
+					.$fetchInterval[1]. " HOUR') > time)";
 			}
 			$resultSet = $db->query($sql);
 			if ($resultSet === false) {
@@ -98,16 +98,16 @@
 			{
 				if($fetchInterval[1]==0) {
 					$sql = "SELECT " . $fetchInfo[0] . ", count(*) FROM acc WHERE"
-						. "	(method='INVITE' AND sip_code='200') AND (DATE_SUB(NOW(), INTERVAL "
-						.$fetchInterval[0]. " HOUR) <= time)"
+						. "	(method='INVITE' AND sip_code='200') AND ((NOW() - INTERVAL '"
+						.$fetchInterval[0]. " HOUR') <= time)"
 						. " GROUP BY " . $fetchInfo[0] . " ORDER BY count(*) DESC LIMIT "
 						. $cfg_summary_acc_ranks;
 					//echo $sql;
 				} else {
 					$sql = "SELECT " . $fetchInfo[0] . ", count(*) FROM acc WHERE"
-						. "	(method='INVITE' AND sip_code='200') AND (DATE_SUB(NOW(), INTERVAL "
-						.$fetchInterval[0]. " HOUR) <= time AND DATE_SUB(NOW(), INTERVAL "
-						.$fetchInterval[1]. " HOUR) > time)"
+						. "	(method='INVITE' AND sip_code='200') AND ((NOW() - INTERVAL '"
+						.$fetchInterval[0]. " HOUR') <= time AND (NOW() - INTERVAL '"
+						.$fetchInterval[1]. " HOUR') > time)"
 						. " GROUP BY " . $fetchInfo[0] . " ORDER BY count(*) DESC LIMIT "
 						. $cfg_summary_acc_ranks;
 				}
diff -ruN '--exclude=*~' '--exclude=cpl' '--exclude=session' '--exclude=cache' '--exclude=log' siremis-3.2.0.orig/siremis/modules/ser/service/siremisCharts.xml siremis-3.2.0/siremis/modules/ser/service/siremisCharts.xml
--- siremis-3.2.0.orig/siremis/modules/ser/service/siremisCharts.xml	2011-12-14 19:52:59.000000000 +0100
+++ siremis-3.2.0/siremis/modules/ser/service/siremisCharts.xml	2012-04-16 13:23:15.000000000 +0200
@@ -16,7 +16,7 @@
 			<Item name="time_stamp" data="time_stamp" title="timestamp" type="timestamp"/>
 		</XAxis>
 		<YAxis>
-			<Item name="2xx_trans_diff" data="2xx_trans_diff" title="2xx trans" type="dataset" color="#FBB917" />
+			<Item name="2xx_trans_diff" data="_2xx_trans_diff" title="2xx trans" type="dataset" color="#FBB917" />
 		</YAxis>
     </Chart>
   </ChartGroup>
